Em 17-08-2013 09:10, Rodrigo Rosenfeld Rosas escreveu:
> Em 17-08-2013 01:16, Aaron Patterson escreveu:
>> ...
>>> I don't really think using require to allow such hacks is a good
>>> enough reason to favor require instead of require_relative... After
>>> all, Ruby already allows you to override code by monkey patching.
>>> Why would you need to override a full file?
>> Simply requiring a file will execute code.  There are times (especially
>> in tests) where you do not want ANY of the code to be executed (maybe it
>> connects to a database, or network, etc).
>
> ... Do you see any reason you'd like to execute those files?...
>

I meant: do you see any reasons you'd like to avoid executing those files?